Search the Community
Showing results for tags 'variable'.
-
hey guys, I am hoping someone can tell me what is wrong with my cad. I have been fiddling around with the autopublish to generate PDF and it seems somehow a variable or something was made incorrect. As a result, each time I publish say PDF or hard copy, first page/ tab of any project appears bl...
-
Assigning and Custom Drawing Property to a variable
juicyorange posted a topic in AutoLISP, Visual LISP & DCL
Hey guys, I'm looking to assign a custom property to a variable and I have no idea how to do it. In the 0 custom prop I put a testvalue Here is the code I have so far: (vl-load-com) (defun c:test (/) (setq acadObject (vlax-get-Acad-Object) acadDocument (vl...- 6 replies
-
- autolisp
- custom proerties
-
(and 2 more)
Tagged with:
-
Does anyone have any information on DraftSight and the use of lisps and setting variables, these are two separate questions. I currently can load a lisp and run them as I do in AutoCad but there are limitations/variations to certain things. Does anyone have a comparison or know the differences with...
- 10 replies
-
- lisp
- draftsight
-
(and 1 more)
Tagged with:
-
So, here's the problem. I have been working on a lisp routine since July, and am rapidly approaching the finish line. At this point, I'm trying to make small improvements to make the program easier to use. My last major hurdle is dealing with the local variables that are erased whenever a...
- 5 replies
-
- lisp
- attribute blocks
-
(and 1 more)
Tagged with:
-
Is it possible using AutoLISP to define a variable name from the command line when running a function? I want to input the name when running it from the command line. Can I do this and still have the variable be global? If so, how would I go about that? Thanks in advance.
-
Problem using variable within Script (.scr)
ABrook1982 posted a topic in AutoLISP, Visual LISP & DCL
Hi, this is my first post on the forum & I'm also pretty new to AutoCAD scripts & Lisp routines, so please bear with me. Basically I have the following script: (setq dn (strcat (getvar "dwgprefix") "New Drawing.dwg")) (vl-propagate 'dn) _.saveas 2010 !dn This script saves my current d... -
System variable for "Access Online Content"
bababarghi posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Hopefully I have created the thread in the right place. I was wondering if there is any system/environment variable to disable accessing online content? (I need to disable this feature via my lisp code)- 12 replies
-
Hi all, Some how the variable for saving the dwg file has changed. So, when I save a dwg, I get the prompt for me to type in the file name. Anyone know by chance what the setting is to change it back? Many thanks
-
AutoLISP to read an attribute (diameter) to draw a circle?
linktf posted a topic in AutoLISP, Visual LISP & DCL
Can a AutoLISP command be written to read an attribute in a block and draw a circle with the attribute as the diameter using variables? The appilcation is taking the diameter of a tree trunk (the attribute), multipling by 12, and drawing the canopy circle on hundreds of those blocks. So the circles... -
Hey Guys, Ive got this routine which is intended to erase everything visible which is of a colour determined by the user. (defun c:ec () (setq ecc (getint "\nEnter COLOUR of objects to ERASE : ")) (setq CODE 62) (setq pt1 '( -50000000000000 -50000000000000 -50000000000000)) (setq pt2 '( 50...
-
Hi, the problem I was facing (and still facing) was that I use my mouse middle button (scroll) as pan when clicked, But it poped out menu for snap overrides, then I resolved this issue by MBUTTONPAN variable by setting its value to 1. Now when I start a new file or a new session it reverts back to...
- 3 replies
-
- variable
- autocad 2013
-
(and 3 more)
Tagged with:
-
Max Help only says that at bias 1 the turns are forced to one side, at -1 to the other side and at 0 all the turns are evenly distributed. I need to know on what formula or calculation the bias is based. Basically I’m building a 1 turn helix radius1=radius2=15 height=123. Move it to world origin...
-
AutoCAD Block linking dimensions to table
balbert posted a topic in AutoCAD Drawing Management & Output
Hi, I have a question about if it is possible to set a block's dimensions to read a table's cell value. Say a rectangle has dimensions x wide by y tall and a table has the x and y values given in cells a1 and b1 linked from an excel spreadsheet. I would like to link it like this because i have... -
Hi all, I have a problem with my list, according to the code below. (if (null (tblsearch "style" teksthoogte)) (entmake (list '(0 . "STYLE") '(-3 ;; Make the style annotative ("AcadAnnotative" (1000 . "Anno...
-
"Created By" System Variable
jwhitens posted a topic in The CUI, Hatches, Linetypes, Scripts & Macros
I've currently taken on the task of updating my organization's title blocks. I'm utilizing Fields in the title block in conjunction with system and sheet set manager variables. I've noticed in the Field Dialog Box there is a CreateDate field choice to display the date the file was created. My que...- 7 replies
-
- title block
- system
-
(and 3 more)
Tagged with:
-
Hey everyone. Im having a bit of trouble constructing a string. I have my code working perfectly except for one little thing. I want the middle part of my string to be a variable, set by the user earlier in the code, or reading another USER variable. Here is my code so far: (defun C:titld (...